Subject: Re: [RFC][PATCH 0/4] VM deadlock prevention -v4

From: Rik van Riel <[email-masked]>
Date: Mon, 14 Aug 2006 10:22:40 -0400

Herbert Xu wrote:
> Rik van Riel <[email-masked]> wrote:
>> That should not be any problem, since skb's (including cowed ones)
>> are short lived anyway.  Allocating a little bit more memory is
>> fine when we have a guarantee that the memory will be freed again
>> shortly.
> 
> I'm not sure about the context the comment applies to, but skb's are
> not necessarily short-lived.  For example, they could be queued for
> a few seconds for ARP/NDISC and even longer for IPsec SA resolution.

That's still below the threshold where it should cause problems
with the VM going OOM.  Especially if there aren't too many of
these packets.

-- 
All Rights Reversed